Subject: Critical Interrupt Input

From: "Henry Bausley" <[email-masked]>
Date: Thu, 15 Aug 2013 21:57:01 -0700

Is there any reason that a Critical Input Interrupt will not work reliably 
on a 44x powerpc?

I am using an AMCC now Applied Micro AMCC460EX 

and changed

CRITICAL_EXCEPTION(0x0100, CriticalInput, unknown_exception)
to
CRITICAL_EXCEPTION(0x0100, CriticalInput, do_MyCritIntr)

The code for the handler is trivial
ie.
int crintrcount;

void do_MyCritIntr(void)
{
  crintrcount++;
}

The code runs for a while but eventually I get panic messages and  the 
system hangs.  Is there something I must alter in the kernel to do this 
reliably?

Outbound scan for Spam or Virus by Barracuda at Delta Tau